Documentation Index
Fetch the complete documentation index at: https://developer.kiotapay.co/llms.txt
Use this file to discover all available pages before exploring further.
Get Single Send Money Item API
This API retrieves a single send money transaction using a requestId.
Endpoint
GET /api/sandbox/v1/send-money/single
Base URL
https://api.kiotapay.co
Query Parameters
| Parameter | Type | Description | Required |
|---|
companyId | string | The ID of the company to fetch the send money transaction for. | ✅ |
requestId | string | The unique ID of the specific send money transaction. | ✅ |
| Key | Value | Required | Description |
|---|
Content-Type | application/json | ✅ | Specifies that the request body is in JSON format. |
Authorization | Bearer <your-token> | ✅ | API authentication token. Replace <your-token> with a valid JWT. |
Interactive API
Example Curl Request
curl --location 'https://api.kiotapay.co/api/sandbox/v1/send-money/single?requestId=cd3e5b37-8f23-465e-a720-b2a78f2b62c1'
Example Response
{
"status": 200,
"message": "Success",
"data": {
"id": 3,
"amount": 1000.0,
"uuid": "cd3e5b37-8f23-465e-a720-b2a78f2b62c1",
"organisation": {
"id": 2,
"uuid": "4d6e1ea9-5ab8-496a-978f-7e9b2bce80c4",
"name": "Maina Properties Limited Ke",
"phoneNumber": "254745362174",
"email": "maina@gmail.com",
"uniqueReference": "4780606",
"createdAt": "2025-01-24T13:35:12.151225",
"updatedAt": "2025-01-24T13:35:12.151225"
},
"phoneNumber": "254745362174",
"remarks": "Here are the remarks",
"occasion": null,
"originatorConversationId": "7ad84f2f-4f0b-4110-afac-2009f07f531a",
"conversationId": "",
"callbackUrl": "https://kiotapay.co.ke",
"createdAt": "2025-01-24T16:28:00.319643",
"updatedAt": "2025-01-24T16:28:00.319643",
"status": "PENDING",
"responseCode": 0,
"receiverName": null,
"transactionReceipt": null
}
}